Bug 611931 - corosync 2801 introduces need for compat patch in rhel to roll
Summary: corosync 2801 introduces need for compat patch in rhel to roll
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: openais   
(Show other bugs)
Version: 5.5
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Steven Dake
QA Contact: Cluster QE
URL:
Whiteboard:
Keywords: ZStream
Depends On: 606028
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-06 21:15 UTC by Benjamin Kahn
Modified: 2016-04-26 15:07 UTC (History)
7 users (show)

Fixed In Version: openais-0.80.6-16.el5_5.5
Doc Type: Bug Fix
Doc Text:
Previously, openais crashed with a segmentation fault if it received an unknown message (this could happen when upgrading openais). With this update, unknown messages are ignored so openais will no longer crash.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-13 10:45:47 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0629 normal SHIPPED_LIVE openais bug fix update 2010-08-13 10:45:32 UTC

Description Benjamin Kahn 2010-07-06 21:15:53 UTC
This bug has been copied from bug #606028 and has been proposed
to be backported to 5.5 z-stream (EUS).

Comment 5 Martin Prpič 2010-08-05 09:09:19 UTC
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Previously, CPG API returned the wrong results when a cluster component failed that was using openais. With this update, the correct results are returned.

Comment 6 Martin Prpič 2010-08-05 09:09:58 UTC
Technical note updated. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-Previously, CPG API returned the wrong results when a cluster component failed that was using openais. With this update, the correct results are returned.+Previously, openais returned a segmentation fault if it received a CPQ message. With this update, new message IDs are introduced into the CPQ service so that the CPQ messages no longer cause a segmentation fault in openais.

Comment 7 Martin Prpič 2010-08-05 09:11:05 UTC
^^ Pasted the wrong description at first, apologies

Comment 8 Angus Salkeld 2010-08-05 09:32:31 UTC
Technical note updated. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

Diffed Contents:
@@ -1 +1 @@
-Previously, openais returned a segmentation fault if it received a CPQ message. With this update, new message IDs are introduced into the CPQ service so that the CPQ messages no longer cause a segmentation fault in openais.+Previously, openais crashed with a segmentation fault if it received an unknown message (this could happen when upgrading openais). With this update, unknown messages are ignored so openais will no longer crash.

Comment 11 errata-xmlrpc 2010-08-13 10:45:47 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0629.html


Note You need to log in before you can comment on or make changes to this bug.